| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxStdOutputStream Class Reference
Class List by Category » Streams

`#include <wx/stdstream.h>`

Inheritance diagram for wxStdOutputStream:
[legend]

## Detailed Description

wxStdOutputStream is a std::ostream derived stream which writes to a wxOutputStream.

Example:

wxFFileOutputStream file("out.txt.gz");
wxZlibOutputStream gzipOutput(file, -1, wxZLIB_GZIP);
wxStdOutputStream out(gzipOutput);
out << "Hello world!" << std::endl;

##

Library: wxBase
Category: Streams

See also
  wxOutputStream, wxStdOutputStreamBuffer

## Public Member Functions

| wxStdOutputStream (wxOutputStream &stream)
| Creates a std::ostream derived stream which writes to a wxOutputStream. More...
virtual | ~wxStdOutputStream ()
| Destructor. More...

## Constructor & Destructor Documentation

wxStdOutputStream::wxStdOutputStream | ( | wxOutputStream & | stream | ) |

Creates a std::ostream derived stream which writes to a wxOutputStream.

Parameters

  stream | Stream to write to.

virtual wxStdOutputStream::~wxStdOutputStream | ( |  | ) |

inline virtual

Destructor.